# magick-wand-private.h File Reference

Go to the source code of this file.

## Data Structures

struct | _MagickWand

## Defines

#define | DegreesToRadians(x) (MagickPI*(x)/180.0)
#define | MagickPI 3.14159265358979323846264338327950288419716939937510
#define | MagickWandId "MagickWand"
#define | QuantumScale ((MagickRealType) 1.0/(MagickRealType) QuantumRange)
#define | QuantumTick(i, span)
#define | RadiansToDegrees(x) (180.0*(x)/MagickPI)

## Define Documentation

#define DegreesToRadians | ( | x |  | ) | (MagickPI*(x)/180.0)

#define MagickPI 3.14159265358979323846264338327950288419716939937510

#define MagickWandId "MagickWand"

#define QuantumScale ((MagickRealType) 1.0/(MagickRealType) QuantumRange)

#define QuantumTick | ( | i,
|  | span |  | ) |

Value:

    ((MagickBooleanType) ((((i) & ((i)-1)) == 0) || \
       (((i) & 0xfff) == 0) || \
       ((MagickOffsetType) (i) == ((MagickOffsetType) (span)-1))))

#define RadiansToDegrees | ( | x |  | ) | (180.0*(x)/MagickPI)